NameFinderEventStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.namefind

## Class NameFinderEventStream

- java.lang.Object
- - opennlp.tools.util.AbstractEventStream<NameSample>
  - - opennlp.tools.namefind.NameFinderEventStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<Event>

      public class NameFinderEventStream
      extends AbstractEventStream<NameSample>

  Class for creating an event stream out of data files for training an name finder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameFinderEventStream(ObjectStream<NameSample> dataStream)`
    `NameFinderEventStream(ObjectStream<NameSample> dataStream, String type, NameContextGenerator contextGenerator, SequenceCodec<String> codec)` Creates a new name finder event stream using the specified data stream and context generator.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[][]` | `additionalContext(String[] tokens, Map<String,String> prevMap)` Generated previous decision features for each token based on contents of the specified map.
    `static List<Event>` | `generateEvents(String[] sentence, String[] outcomes, NameContextGenerator cg)`
    `static String[]` | `generateOutcomes(Span[] names, String type, int length)` Deprecated. use the BioCodec implementation of the SequenceValidator instead!

    - ### Methods inherited from class opennlp.tools.util.AbstractEventStream

      `close, read, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameFinderEventStream

          public NameFinderEventStream(ObjectStream<NameSample> dataStream,
                                       String type,
                                       NameContextGenerator contextGenerator,
                                       SequenceCodec<String> codec)

      Creates a new name finder event stream using the specified data stream and context generator.
      Parameters:
        `dataStream` - The data stream of events.
        `type` - null or overrides the type parameter in the provided samples
        `contextGenerator` - The context generator used to generate features for the event stream.

    - #### NameFinderEventStream

          public NameFinderEventStream(ObjectStream<NameSample> dataStream)

  - ### Method Detail

    - #### generateOutcomes

          @Deprecated
          public static String[] generateOutcomes(Span[] names,
                                                              String type,
                                                              int length)

      Deprecated. use the BioCodec implementation of the SequenceValidator instead!
      Generates the name tag outcomes (start, continue, other) for each token in a sentence with the specified length using the specified name spans.
      Parameters:
        `names` - Token spans for each of the names.
        `type` - null or overrides the type parameter in the provided samples
        `length` - The length of the sentence.
      Returns:
        An array of start, continue, other outcomes based on the specified names and sentence length.

    - #### generateEvents

          public static List<Event> generateEvents(String[] sentence,
                                                   String[] outcomes,
                                                   NameContextGenerator cg)

    - #### additionalContext

          public static String[][] additionalContext(String[] tokens,
                                                     Map<String,String> prevMap)

      Generated previous decision features for each token based on contents of the specified map.
      Parameters:
        `tokens` - The token for which the context is generated.
        `prevMap` - A mapping of tokens to their previous decisions.
      Returns:
        An additional context array with features for each token.

Copyright © 2026 The Apache Software Foundation. All rights reserved.